import os
from urlparse import urlparse
import rox
from rox.options import Option
from rox import OptionsBox

host,port,user,passw = ['']*4
env_proxy = os.environ.get('http_proxy','')

if not env_proxy:
	env_proxy = os.environ.get('ftp_proxy','')
	
if env_proxy:
	host = urlparse(env_proxy)[1]
	if '@' in host:
		user_pass,host = host.split('@',1)
		if ':' in user_pass:
			user,passw = user_pass.split(':',1)
	if ':' in host:
		host,port = host.split(':',1)
	else: port = '8080'

# General Options
validate = Option('validate',True)
bufsize = Option('bufsize',1024)

# Connection Options

# Proxy Options
proxy_host = Option('proxy_host',host)
proxy_port = Option('proxy_port',port)
proxy_user = Option('proxy_user',user)
proxy_pass = Option('proxy_pass',passw)
proxy_http = Option('proxy_http',False)
proxy_https = Option('proxy_https',False)
proxy_ftp = Option('proxy_ftp',False)

# Display options
finish_timeout = Option('finish_timeout',0)
title_freq = Option('title_freq',1)
progress_style = Option('progress_style','percent')
